.App {
  text-align: center;
}

.App-logo {
  animation: App-logo-spin infinite 20s linear;
  height: 40vmin;
}

.App-header {
  background-color: #282c34;
  display: contents;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-link {
  color: #61dafb;
}


* {
  box-sizing: border-box;
}
body {
  background: hsl(20, 10%, 94%);
  padding: 24px;
  text-align: center;
  font-family: monospace;
  height: 100%;
}
h1 {
  max-width: 450px;
  margin: auto;
  padding-bottom: 1em;
}
button {
  margin-left: 2px;
  margin-right: 2px;
}
input {
  text-align: center;
}

section {
  float: left;
  display: inline-block;

  /*margin: 0 1.5%;*/
  width: 75%;
  clear: left;

}
aside {
  float: right;
  display: table-cell;
  width: 25%;
  clear: right;
  scroll-behavior: smooth;
  height:border-box;


}
body {
  width: 100%;
  height: 100%;

  position:absolute; top:0; bottom:0; right:0; left:0;


}

.body {
  width: 100%;
  height: 100%;

}

.details {

  height: inherit;
  overflow: hidden;
  display: inline-block;
  float: bottom;
  position: relative;
  margin-top: 5px;
}

.leadin {
  text-align: justify;
  max-width: 450px;
  margin: auto auto 24px auto;
  font-size: 13px;
  font-family: sans-serif;
  line-height: 1.4em;
  padding: 2em;
  border-top: 1px solid gainsboro;
  border-bottom: 1px solid gainsboro;
}
.complabel-component {
  display: inline-block;
  transform: translateY(-18px) translateX(-100px);
  background-color: whitesmoke;
  padding: 1px 3px;
  border: 1px solid gainsboro;
}
.highlightjs-component {
  padding-top: 12px;
  border-top: 1px solid gainsboro;
  text-align: left;
  scroll-behavior: smooth;
  height: 100%;
  width: 100%;

}
.noScroll {
  height: 100%;
  width: 100%;
  overflow: hidden;

}
.Avatar{align-content: center; align-self: center;}
.material-icons.Red { color: Red;  }
.material-icons.Green { color: Green; }
.material-icons.Gray { color: Gray; }
.material-icons.Yellow { color: #FFD600; }
.material-icons.Purple{ color: Purple; }
.material-icons.Orange{ color: Orange; }
.material-icons.Brown{ color: Brown; }
.material-icons.Cyan{ color: #0091EA; }

.chip.default {   height:70px;  margin: 4px;  }
.chip.Red    { color: Red; height:70px;  margin: 4px;   }
.chip.Green  { color: Green; height:70px; margin: 4px;}
.chip.Gray   { color: Gray; height:70px; margin: 4px;}
.chip.Yellow { color: #FFD600; height:70px; margin: 4px;}
.chip.Purple { color: Purple; height:70px; margin: 4px;}
.chip.Orange { color: Orange; height:70px; margin: 4px;}
.chip.Brown  { color: Brown; height:70px; margin: 4px;}
.chip.Cyan   { color: #0091EA;  height:70px; margin: 4px;}

.root{
  flexGrow: 1;
}

pre {
  width: 100%;
  height: 100%;
  padding: 1px;
  margin: 0;
  overflow: auto;
  overflow-y: hidden;
  font-size: 16px;
  line-height: 20px;
  align-content: center;
  alignment: center;
  display:compact;
  repeat: 0 0;
}

.div-selected{
  box-sizing: border-box;
  border: 1px dotted red;

}

.Card{
  scroll-behavior: smooth;

}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}
